function OnCityLiberated(cityStatePlayerID:number, cityID:number)
	local ADDITIONAL_TOKENS = 6;
	local cityStatePlayer   = Players[cityStatePlayerID];

	if ( cityStatePlayer:IsMajor() ~= true ) then
		local localPlayerID = Game.GetLocalPlayer();
		local localPlayer = Players[localPlayerID];
		local localPlayerInfluence:table = localPlayer:GetInfluence();

		-- Not possible to set multiple tokens in one call?
		for i=1, ADDITIONAL_TOKENS, 1 do
			localPlayerInfluence:GiveFreeTokenToPlayer(cityStatePlayerID);
		end
	end
end


function Initialize()
	Events.CityLiberated.Add( OnCityLiberated );
end

Initialize();